Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkRTAnalyticSource Class Reference

`#include <vtkRTAnalyticSource.h>`

Inheritance diagram for vtkRTAnalyticSource:

[legend]
Collaboration diagram for vtkRTAnalyticSource:

[legend]
List of all members.

## Detailed Description

Create an image for regression testing.

Date:
  2002/01/22 15:34:55

Revision:
  1.9

vtkRTAnalyticSource just produces images with pixel values determined by a Maximum*Gaussian*XMag*sin(XFreq*x)*sin(YFreq*y)*cos(ZFreq*z)

Created by:
  - Geveci, Berk

CVS contributions (if > 5%):
  - Geveci, Berk (81%)
  - Martin, Ken (6%)
  - Law, Charles (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Parallel/vtkRTAnalyticSource.cxx)`
  - .`h` (`/Parallel/vtkRTAnalyticSource.h)`

Examples:
  vtkRTAnalyticSource (Examples)

Tests:
  vtkRTAnalyticSource (Tests)

Definition at line 49 of file vtkRTAnalyticSource.h.

## Public Types
typedef vtkImageSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetXMag (float)
virtual float | GetXMag ()
virtual void | SetYMag (float)
virtual float | GetYMag ()
virtual void | SetZMag (float)
virtual float | GetZMag ()
void | SetWholeExtent (int xMinx, int xMax, int yMin, int yMax, int zMin, int zMax)
virtual int * | GetWholeExtent ()
virtual void | GetWholeExtent (int &, int &, int &, int &, int &, int &)
virtual void | GetWholeExtent (int[6])
virtual void | SetCenter (float, float, float)
virtual void | SetCenter (float[3])
virtual float * | GetCenter ()
virtual void | GetCenter (float &, float &, float &)
virtual void | GetCenter (float[3])
virtual void | SetMaximum (float)
virtual float | GetMaximum ()
virtual void | SetStandardDeviation (float)
virtual float | GetStandardDeviation ()
virtual void | SetXFreq (float)
virtual float | GetXFreq ()
virtual void | SetYFreq (float)
virtual float | GetYFreq ()
virtual void | SetZFreq (float)
virtual float | GetZFreq ()
## Static Public Methods
vtkRTAnalyticSource * | New ()
int | IsTypeOf (const char *type)
vtkRTAnalyticSource * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkRTAnalyticSource ()
| ~vtkRTAnalyticSource ()
virtual void | ExecuteInformation ()
virtual void | ExecuteData (vtkDataObject *data)
## Protected Attributes
float | XFreq
float | YFreq
float | ZFreq
float | XMag
float | YMag
float | ZMag
float | StandardDeviation
int | WholeExtent [6]
float | Center [3]
float | Maximum

## Member Typedef Documentation

typedef vtkImageSource vtkRTAnalyticSource::Superclass

| Reimplemented from vtkImageSource. Definition at line 53 of file vtkRTAnalyticSource.h.

## Constructor & Destructor Documentation

vtkRTAnalyticSource::vtkRTAnalyticSource | ( |  | ) | `[protected]`

vtkRTAnalyticSource::~vtkRTAnalyticSource | ( |  | ) | `[inline, protected]`

| Definition at line 100 of file vtkRTAnalyticSource.h.

## Member Function Documentation

vtkRTAnalyticSource* vtkRTAnalyticSource::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkRTAnalyticSource::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageSource.

int vtkRTAnalyticSource::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSource.

virtual int vtkRTAnalyticSource::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSource.

vtkRTAnalyticSource* vtkRTAnalyticSource::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageSource.

void vtkRTAnalyticSource::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageSource.

void vtkRTAnalyticSource::SetWholeExtent | ( | int | xMinx,
|  | int | xMax,
|  | int | yMin,
|  | int | yMax,
|  | int | zMin,
|  | int | zMax
| ) |

| Set/Get the extent of the whole output image.

virtual int* vtkRTAnalyticSource::GetWholeExtent | ( |  | ) | `[virtual]`

| Set/Get the extent of the whole output image.

virtual void vtkRTAnalyticSource::GetWholeExtent | ( | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & |
| ) | `[virtual]`

| Set/Get the extent of the whole output image.

virtual void vtkRTAnalyticSource::GetWholeExtent | ( | int | [6] | ) | `[virtual]`

| Set/Get the extent of the whole output image.

virtual void vtkRTAnalyticSource::SetCenter | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Set/Get the center of function.

virtual void vtkRTAnalyticSource::SetCenter | ( | float | [3] | ) | `[virtual]`

| Set/Get the center of function.

virtual float* vtkRTAnalyticSource::GetCenter | ( |  | ) | `[virtual]`

| Set/Get the center of function.

virtual void vtkRTAnalyticSource::GetCenter | ( | float & | ,
|  | float & | ,
|  | float & |
| ) | `[virtual]`

| Set/Get the center of function.

virtual void vtkRTAnalyticSource::GetCenter | ( | float | [3] | ) | `[virtual]`

| Set/Get the center of function.

virtual void vtkRTAnalyticSource::SetMaximum | ( | float |  | ) | `[virtual]`

| Set/Get the Maximum value of the function.

virtual float vtkRTAnalyticSource::GetMaximum | ( |  | ) | `[virtual]`

| Set/Get the Maximum value of the function.

virtual void vtkRTAnalyticSource::SetStandardDeviation | ( | float |  | ) | `[virtual]`

| Set/Get the standard deviation of the function.

virtual float vtkRTAnalyticSource::GetStandardDeviation | ( |  | ) | `[virtual]`

| Set/Get the standard deviation of the function.

virtual void vtkRTAnalyticSource::SetXFreq | ( | float |  | ) | `[virtual]`

| Set the natural frequencies in x,y and z

virtual float vtkRTAnalyticSource::GetXFreq | ( |  | ) | `[virtual]`

| Set the natural frequencies in x,y and z

virtual void vtkRTAnalyticSource::SetYFreq | ( | float |  | ) | `[virtual]`

| Set the natural frequencies in x,y and z

virtual float vtkRTAnalyticSource::GetYFreq | ( |  | ) | `[virtual]`

| Set the natural frequencies in x,y and z

virtual void vtkRTAnalyticSource::SetZFreq | ( | float |  | ) | `[virtual]`

| Set the natural frequencies in x,y and z

virtual float vtkRTAnalyticSource::GetZFreq | ( |  | ) | `[virtual]`

| Set the natural frequencies in x,y and z

virtual void vtkRTAnalyticSource::SetXMag | ( | float |  | ) | `[virtual]`

virtual float vtkRTAnalyticSource::GetXMag | ( |  | ) | `[virtual]`

virtual void vtkRTAnalyticSource::SetYMag | ( | float |  | ) | `[virtual]`

virtual float vtkRTAnalyticSource::GetYMag | ( |  | ) | `[virtual]`

virtual void vtkRTAnalyticSource::SetZMag | ( | float |  | ) | `[virtual]`

virtual float vtkRTAnalyticSource::GetZMag | ( |  | ) | `[virtual]`

virtual void vtkRTAnalyticSource::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkSource.

virtual void vtkRTAnalyticSource::ExecuteData | ( | vtkDataObject * | data | ) | `[protected, virtual]`

## Member Data Documentation

float vtkRTAnalyticSource::XFreq`[protected]`

| Definition at line 102 of file vtkRTAnalyticSource.h.

float vtkRTAnalyticSource::YFreq`[protected]`

| Definition at line 103 of file vtkRTAnalyticSource.h.

float vtkRTAnalyticSource::ZFreq`[protected]`

| Definition at line 104 of file vtkRTAnalyticSource.h.

float vtkRTAnalyticSource::XMag`[protected]`

| Definition at line 105 of file vtkRTAnalyticSource.h.

float vtkRTAnalyticSource::YMag`[protected]`

| Definition at line 106 of file vtkRTAnalyticSource.h.

float vtkRTAnalyticSource::ZMag`[protected]`

| Definition at line 107 of file vtkRTAnalyticSource.h.

float vtkRTAnalyticSource::StandardDeviation`[protected]`

| Definition at line 108 of file vtkRTAnalyticSource.h.

int vtkRTAnalyticSource::WholeExtent[6]`[protected]`

| Definition at line 109 of file vtkRTAnalyticSource.h.

float vtkRTAnalyticSource::Center[3]`[protected]`

| Definition at line 110 of file vtkRTAnalyticSource.h.

float vtkRTAnalyticSource::Maximum`[protected]`

| Definition at line 111 of file vtkRTAnalyticSource.h.

The documentation for this class was generated from the following file:

- Parallel/vtkRTAnalyticSource.h